| Home | Libraries | People | FAQ | More

###### field::get_double (1 of 2 overloads)

Retrieves a reference to the underlying `double` value (unchecked access).

###### Synopsis

    const double&
    get_double() const;

###### Preconditions

`this->is_double() == true` (if violated, results in undefined behavior).

###### Exception safety

No-throw guarantee.

###### Object lifetimes

The returned reference is valid as long as `*this` is alive and no function that invalidates references is called on `*this`.